Name:          visad
Version:       2010.08.09
Release:       %mkrel 3
Summary:       Visualization for Algorithm Development
Group:         Development/Java
License:       LGPL
Url:           http://www.ssec.wisc.edu/~billh/visad.html
Source0:       ftp://ftp.ssec.wisc.edu/pub/visad-2.0/visad_src.jar
Source1:       http://maven.geotoolkit.org/edu/wisc/visad/2010-08-09/visad-2010-08-09.pom
Source2:       visad-script
Patch0:        visad-2010.08.09-pom.patch
Patch1:        visad-2010.08.09-mainclass.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: gnu-regexp >= 1.1.4
BuildRequires: java3d

Requires:      gnu-regexp >= 1.1.4
Requires:      java3d

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
VisAD is a Java component library for interactive and collaborative visualization and analysis
of numerical data. The name VisAD is an acronym for "Visualization for Algorithm Development.

%prep
%setup -T -q -c visad-%{version}
cp -p %SOURCE1 pom.xml

%patch0 -p0

mkdir -p src
(
  cd src
  jar -xf %SOURCE0
)
%patch1 -p0

for i in `find -name "*.java"`
do
        native2ascii -encoding UTF8 $i $i
done

%build

cd src
export CLASSPATH=$(build-classpath gnu-regexp java3d)
ant build jar

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
install -pm 644 src/%{name}.jar %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_bindir}
install -pm 755 %SOURCE2 %{buildroot}%{_bindir}/%{name}

install -pD -T -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap edu.wisc %{name} 2010-08-09 JPP %{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_bindir}/%{name}
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*


%changelog

* Wed Jan 16 2013 dmorgan <dmorgan> 2010.08.09-3.mga3
+ Revision: 388620
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 08 2011 gil <gil> 2010.08.09-1.mga2
+ Revision: 165171
- added script
- imported package visad

